Summary:	An rxvt-based terminal emulator for X11
Name:		aterm
Version:	0.4.2
Release:	3mdk
Url:		http://download.sourceforge.net/aterm/

Source0:	http://download.sourceforge.net/aterm/%{name}-%{version}.tar.bz2

License:	GPL
Group:		Terminals
BuildRequires:	XFree86-devel xpm-devel
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Aterm is a colour vt102 terminal emulator based on rxvt 2.4.8 intended as an 
xterm replacement for users who do not require features such as Tektronix 4014 
emulation and toolkit style configurability

%prep
%setup -q

%build
%configure --enable-fading --enable-background-image
%make

%install
%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1/

install -d m 0755 %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/aterm
?package(aterm): \
needs=x11 \
section=Terminals \
title="ATerm"\
longtitle="A terminal emulator for the X Window System" \
command="/usr/bin/aterm -name Terminal" \
icon="terminals_section.png"
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%update_menus
update-alternatives --install /usr/X11R6/bin/xvt xvt /usr/bin/aterm 25


%postun
%clean_menus
if [ "$1" = "0" ]; then
    update-alternatives --remove xvt /usr/bin/aterm
fi

%files
%defattr(-,root,root,0755)
%doc INSTALL ChangeLog doc/README.Unix98PTY aterm.lsm README.configure
%{_bindir}/aterm
%{_mandir}/man1/*
%{_menudir}/aterm

%changelog
* Tue Apr  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.2-3mdk
- Rebuild to handle biarch struct utmp

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 0.4.2-2mdk
- Fix menu entry (png icon)

* Thu Nov 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2-1mdk
- add url
- new release

* Mon Aug 13 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.4.0-9mdk
- removed Chinese, Greek, and Japanese support : it needs quite some work, have
  a look at the debian patch

* Tue Aug 07 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.4.0-8mdk
- added --enable-fading configure option. read README.configure for more
- s|Copyright|License|
- corrected icon name s|terminals-section.xpm|terminals_section.xpm|
- added doc files

* Fri Jul  6 2001 Daouda LO <daouda@mandrakesoft.com> 0.4.0-7mdk
- s|Linux-Mandrake|Mandrake Linux

* Sun May 13 2001  Daouda Lo <daouda@mandrakesoft.com> 0.4.0-6mdk
- add menu entry for aterm

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 0.4.0-5mdk
- add as alternative xvt

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 0.4.0-4mdk
- Make rpmlint happy

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.0-2mdk
- rebuild fro the BM

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new release
- add URL
- use new macros

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk
- fix group
- fix sources permissions

* Tue Aug 24 1999 Daouda LO <daouda@mandrakesoft.com>
- Alfredo Kojima's additions of fast transparency
